/* 
    - VISTA DE LA RUTA: /grid
    - SELECCION DE CANALES DE TRANSMISION
*/
<template>
    <div style="margin: 0 10rem" class="padding-top home_grid_style">
        <h1 class="title margin_b_60 padding_left_50">CANALES DE TRANSMISIÓN</h1>
        <main class="flex padding_left_50">
            <div v-for="(item, index) in cards" :key="index" class="cards_style" width="227px" @click="redirectPage(item.redirect, item.name)">
                <div style="height: 35px; background-color: #4A4A4A"></div>
                <figure class="box_image">
                    <img :src="require(`@/assets/images/${item.rutImg}`)" :alt="item.name"/>
                </figure>
                <p class="cards_title">{{item.name}}</p>
            </div>
        </main>
    </div>
</template>

<script>

	export default {
		data() {
			return {
				cards: [
					{name: 'AMÉRICA TV', rutImg:'americatv_isotipo.svg', redirect: 'views'},
					{name: 'AMÉRICA NEXT', rutImg: 'logo_americaNext.svg', redirect: 'views'}
				]
			}
		},
		methods: {
			redirectPage(value, name) {
				if(value) {
					this.$localStorage.set('channelTransmition', name)
					this.$router.push({name: value, params: {subTitle: name}})
                }
			}
		}
	}
</script>
<style>
    .home_grid_style .title {
        color: #4A4A4A;
        font-size: 23px;
        padding-bottom: 12px;
        border-bottom: 2px solid #4A4A4A;
    }
    .home_grid_style .padding_left_50 {
        padding-left: 50px;
    }
    .home_grid_style .margin_b_60 {
        margin-bottom: 60px
    }
    .home_grid_style .cards_style {
        min-width: 227px;
        min-height: 300px;
        box-sizing: border-box;
        box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.16);
        margin-right: 108px;
        border: 1px solid #d7d7d7;
        cursor: pointer;
    }
    .home_grid_style .flex {
        display: flex;
        justify-content: flex-start;
        align-items: center;
    }
    .home_grid_style .cards_title {
        font-weight: 600;
        font-size: 25px;
        line-height: 31px;
        color: #828282;
        text-align: center;
    }
    .home_grid_style .box_image {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 186px;
    }
</style>
